<?php

namespace Larayellow\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Larayellow\Category\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'parent_id'         => $category->parent_id,
            'name'              => $category->name,
            'description'       => $category->description,
            'slug'              => $category->slug,
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('category/'.$category->getPublicKey()),
                'user'      => guard_url('category/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}